package com.fjhx.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.entity.EmailMessageAttachment;
import com.fjhx.mapper.EmailMessageAttachmentMapper;
import com.fjhx.service.IEmailMessageAttachmentService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 文件附件 服务实现类
 * </p>
 *
 * @author zlj
 * @since 2022-12-21
 */
@Service
public class EmailMessageAttachmentServiceImpl extends ServiceImpl<EmailMessageAttachmentMapper, EmailMessageAttachment> implements IEmailMessageAttachmentService {

    @Override
    public List<EmailMessageAttachment> getAttachmentList(String messageId) {
        return list(q -> q.eq(EmailMessageAttachment::getMessageId, messageId));
    }

}
